Google
  Web www.spinics.net

Re: [PATCH] aespipe - fix build issues

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]


Opps... Forgot the patch.

On 11/4/08, Alon Bar-Lev <alon.barlev@xxxxxxxxx> wrote:
> Hello again,
>
>  The attached patch replaces the previous one.
>  I spent some time and backported some of automake stuff including VPATH.
>  I also detect all used progs, including md5* etc.
>  Modified the u_int32_t and u_int64_t detection, BTW: why don't you use stdint.h?
>  Fixed some more autoconf issues when compiling stuff.
>  Well... many autoconf modifications...
>  Including detection of amd64 and i386 assembly using the compiler.
>  Also added template rules to Makefile I think it is now much simpler.
>
>  I am sorry for the large modification... But I think this is about
>  that... All we need is to test it and see if I got it right.
>
>  I checked this using i686-pc-linux-gnu host and x86_64-pc-linux-gnu
>  cross compile.
>
>  Please review,
>
> Alon.
>
>
>  On 11/3/08, Alon Bar-Lev <alon.barlev@xxxxxxxxx> wrote:
>  > Great!
>  >  Thank you for your efforts.
>  >  A few comments:
>  >
>  >  1.
>  >  +install-strip:
>  >  +       if ! test -f aespipe ; then $(MAKE) all ; fi
>  >
>  > +       $(MAKE) INSTALL_STRIP=$(STRIP) install
>  >
>  >
>  > Why do you need make all here? The make install will do this, right?
>  >
>  >  2. You cannot use uname at configure, as it won't work with you cross compile.
>  >  This is what started this thread... :)
>  >  The config.sub, config.guess are efforts just like loop-aes in crypto,
>  >  I don't understand why you don't want to use their knowledge.
>  >
>  >  3. You cannot use as... As it would fail cross compile.
>  >
>  >  I Also fixed some more autoconf issues, please review.
>  >
>  >
>  >  Alon.
>  >
>  >
>  >  On 11/3/08, Jari Ruusu <jariruusu@xxxxxxxxxxxxxxxxxxxxx> wrote:
>  >  > Alon Bar-Lev wrote:
>  >  >  > In the mean time, now that I know that I need to build a special target...
>  >  >  > There is executable stack issue...
>  >  >  > Please consider to fix it.
>  >  >
>  >  >
>  >  > I merged it. But it choked on older versions of GNU binutils. I modified it
>  >  >  so that it is not enabled on binutils older than 2.17 . Why 2.17? Because
>  >  >  that is what I have on my workstation, and it worked ok there. If you or
>  >  >  someone else cares to figure out what binutils version is oldest one that
>  >  >  doesn't choke on such note.GNU-stack section, then please tell me so I can
>  >  >  adjust the correct version limit.
>  >  >
>  >  >  Diff of my current version against unmodified aespipe-v2.3e is attached.
>  >  >  I didn't include generated ./configure script.
>  >  >
>  >  >  This version autodetects x86/amd64 if running on GNU toolchain.
>  >  >
>  >  >
>  >  >  --
>  >  >  Jari Ruusu  1024R/3A220F51 5B 4B F9 BB D3 3F 52 E9  DB 1D EB E3 24 0E A9 DD
>  >  >
>  >
>  >
>

Attachment: aespipe-v2.3d-build5.patch.bz2
Description: BZip2 compressed data


[Home]     [Kernel]     [Linux Crypto]     [Gnu Crypto]     [Gnu Classpath]     [Netfilter]     [Bugtraq]     [Network Security Reading]

Add to Google